package domain


type AlibabaWdkTradeOrderSuccessCreateOrderQueryResult struct {
    /*
        接口状态     */
    State  *bool `json:"state,omitempty" `

    /*
        错误码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        订单数据     */
    Result  *AlibabaWdkTradeOrderSuccessCreateOrderSuccessResponse `json:"result,omitempty" `

}

func (s *AlibabaWdkTradeOrderSuccessCreateOrderQueryResult) SetState(v bool) *AlibabaWdkTradeOrderSuccessCreateOrderQueryResult {
    s.State = &v
    return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderQueryResult) SetErrCode(v string) *AlibabaWdkTradeOrderSuccessCreateOrderQueryResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderQueryResult) SetErrMsg(v string) *AlibabaWdkTradeOrderSuccessCreateOrderQueryResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderQueryResult) SetResult(v AlibabaWdkTradeOrderSuccessCreateOrderSuccessResponse) *AlibabaWdkTradeOrderSuccessCreateOrderQueryResult {
    s.Result = &v
    return s
}
